Skip to main content
GET
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to fetch details of settlements made to Linked Accounts. You should append ?expand[]=recipient_settlement as the query parameter to the fetch transfer request. This would return a settlement entity and the transfer entity.

Query Parameters

string
required
Used to retrieve settlement entity along with transfer entity. Supported value is recipient_settlement.
string
Applicable only if you are a Razorpay Partner. Controls which transfers are returned based on the destination account and partner configuration. Possible values are:
  • platform: Returns transfers excluding those sent to the partner’s own Linked Accounts.
  • regular (or when the parameter is omitted): The behaviour depends on the partner’s route_partnerships feature setting:
    • If route_partnerships is enabled: Returns transfers sent to the partner’s own Linked Accounts.
    • If route_partnerships is disabled: Returns all regular transfers associated with the Partner account.
Descriptions for the optional query parameters are present in the Pagination & Rate Limiting documentation.

Response Parameters

string
Unique identifier of the transfer.
string
The name of the entity. Here, it is transfer.
string
The status of the transfer. Possible values are:
  • created
  • pending
  • processed
  • failed
  • reversed
  • partially_reversed
string
The status of the settlement. Possible values are:
  • pending
  • on_hold
  • settled
string
Unique identifier of the transfer source. The source can be a payment or an order.
string
Unique identifier of the transfer destination, that is, the Linked Account.
integer
The amount to be transferred to the Linked Account, in paise. For example, for an amount of ₹200.35, the value of this field should be 20035.
string
ISO currency code. We support route transfers only in INR.
integer
Amount reversed from this transfer for refunds.
json object
Set of key-value pairs that can be associated with an entity. This can be useful for storing additional information about the entity. A maximum of 15 key-value pairs, each of 256 characters (maximum), are supported.
boolean
Indicates whether the account settlement for transfer is on hold. Possible values:
  • true: Puts the settlement on hold.
  • false: Releases the settlement.
integer
Timestamp, in Unix, that indicates until when the settlement of the transfer must be put on hold. If no value is passed, the settlement is put on hold indefinitely.
string
Unique identifier of the settlement.
array
string
Unique identifier of the settlement received by the Linked Account.
string
Indicates the type of entity. Here, it is settlement.
string
The settlement amount represented in the smallest unit of the currency passed.
string
The status of the settlement. Possible values: -processed - The settlement process was successful. -failed - The settlement process failed.
integer
Fee (including GST) charged by Razorpay.
integer
GST charged for the payment.
string
Unique identifier received for the settlement from the bank.
integer
Timestamp, in Unix, at which the settlement was created.
array
List of keys from the notes object which needs to be shown to Linked Accounts on their Dashboard. For example, "region", "city". Only the keys will be shown, not values.
integer
Timestamp, in Unix, at which the transfer was created.
integer
Timestamp, in Unix, at which the transfer was processed.
array
Provides error details that may occur during transfers.
string
Type of the error.
string
Error description.
string
Name of the parameter in the API request that caused the error.
string
The point of failure in the specific operation. For example, customer, business and so on.
string
The stage where the transaction failure occurred. Stages can be different depending on the payment method used to make the transaction.
string
The exact error reason. It can be handled programmatically.
string
Medium through which transfers were created. For example, online.

Errors

Code: 4xxThis error occurs when there is a mismatch between the API credentials passed in the API call and the API credentials generated on the Dashboard.Solution: Make sure the API Keys are active and entered correctly. Also, there should not be any whitespaces before or after the keys. If you get null as an API response, an invalid recipient_settlement_id was passed. Ensure to pass a valid recipient_settlement_id, and it belongs to the Linked Account.